Subject: Re: bug#32540: Cuirass: we need a way to manually trigger evaluations
From: Mathieu Othacehe <[email-masked]>
To: Clément Lassieur <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Mar 2021 14:15:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> The 'core-updates' and 'staging' branches shouldn't trigger evaluations
> at each commit, because they produce too many derivations.  Instead, the
> admins should have a 'trigger evaluation' button that they use once in a
> while.  That button should be part of an 'admin interface', which should
> be protected by NGINX's 'auth_basic' authentication mechanism.

The admins can now change configure the specifications to build only a
core subset of packages, or all the available packages from the web
interface.

Closing this one,

Thanks,

Mathieu